petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSFSetGraphLayout

Set a parallel star forest via global indices and a PetscLayout

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscSFSetGraphLayout(PetscSF sf,PetscLayout layout,PetscInt nleaves,const PetscInt *ilocal,PetscCopyMode localmode,const PetscInt *iremote)

Collective

### Input Arguments

| sf | - star forest
| layout | - PetscLayout defining the global space
| nleaves | - number of leaf vertices on the current process, each of these references a root on any process
| ilocal | - locations of leaves in leafdata buffers, pass NULL for contiguous storage
| localmode | - copy mode for ilocal
| iremote | - remote locations of root vertices for each leaf on the current process

Developers Note: Local indices which are the identity permutation in the range [0,nleaves) are discarded as they encode contiguous storage. In such case, if localmode is PETSC_OWN_POINTER, the memory is deallocated as it is not needed

### See Also

PetscSFCreate(), PetscSFView(), PetscSFSetGraph(), PetscSFGetGraph()

### Level

intermediate

### Location

src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages